List action templates
curl --request GET \
--url https://staging.api.us.aptlydone.com/settings/v1/action-templatesimport requests
url = "https://staging.api.us.aptlydone.com/settings/v1/action-templates"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://staging.api.us.aptlydone.com/settings/v1/action-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:20.763Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
{
"id": "c0eb4afc-1629-489b-8024-b1b9511f53ab",
"tenantId": "f9697668-d4ea-4d32-a424-1c66016c0953",
"name": "Send Email",
"type": {
"id": "101c8f60-237f-4b8b-aa5f-d38ba764bc24",
"tenantId": "8b9add9e-fb17-4e9d-b97f-3dfe6f5cd197",
"type": "email",
"typeIcon": "mail",
"status": true,
"isCustom": true,
"isDeleted": false,
"deletedAt": "2024-01-12T00:00:00.000Z",
"createdAt": "2024-01-12T00:00:00.000Z",
"updatedAt": "2024-01-12T00:00:00.000Z"
},
"description": "Template for sending notification emails",
"source": "Source",
"status": true,
"isDeleted": false,
"deletedAt": "2024-01-12T00:00:00.000Z",
"createdAt": "2024-01-12T00:00:00.000Z",
"updatedAt": "2024-01-12T00:00:00.000Z"
}
]
}
}Actions
List action templates
GET
/
v1
/
action-templates
List action templates
Query Parameters
Page number
Required range:
x >= 1Example:
1
Number of items per page
Required range:
1 <= x <= 100Example:
10
Tenant ID
Example:
"0cfc0081-b6d0-4d5a-98d3-11d2c2da865b"
Action Type ID
Example:
"46e5831b-6e2d-4e85-b6d0-ecb499b34354"
Search by name
Example:
"Send Email"
Field to sort by
Example:
"id"
Sort order (asc/desc)
Available options:
asc, desc Example:
"asc"
Was this page helpful?
āI